Summary: ewping contains an improved version of 'ping'.
Name: ewping
Version: 980831
Release: 1
Group: Networking/Utilities
Copyright: BSD
Packager: Chris Green <sprout@dok.org>
Distribution: contrib
Source0: ftp://ftp.nikhef.nl/pub/network/ping_980831.tar.Z
Source1: ftp://ftp.nikhef.nl/pub/network/README_980903
BuildRoot: /tmp/ewping
Prefix: /usr/local

%description
ping(8) tests a network connection by sending ECHO request datagrams
to a host.  This version has revised flood and cisco style pings, does
quick pings, route recording, and more.

By default this ping(8) is installed as '/usr/local/bin/ping'.

%changelog
* Wed Feb 03 1999 Chris Green <sprout@dok.org>
- Built ewping-980831
- Built on glibc
- Fixed $RPM_OPT_FLAGS
- Made ping suid root

* Wed Jun 24 1998 John A. Martin <jam@jamux.com>
- Built ewping-980228, added BuildRoot, Prefix, and defattr
  Now a relocatable package buildable by non-root.

* Mon Oct 27 1997 John A. Martin <jam@jamux.com>
- Built ewping-971007-1

* Sat Aug 30 1997 John A. Martin <jam@jamux.com>
- Built ewping-970828-1

%prep
%setup -c -n ewping-${RPM_PACKAGE_VERSION}
cp ${RPM_SOURCE_DIR}/README_980903 .

%build
make COPTS="$RPM_OPT_FLAGS -D_BSD_SOURCE  -DLINUX_IPSUM" RES=

%install
DESTBIN=${RPM_BUILD_ROOT}/usr/local/bin
DESTMAN=${RPM_BUILD_ROOT}/usr/local/man
OWNER=`whoami`
GROUP=${OWNER}
mkdir -p ${RPM_BUILD_ROOT}/usr/local/bin
make COPTS="$RPM_OPT_FLAGS" RES= DESTBIN=${DESTBIN} \
	OWNER=${OWNER} GROUP=${GROUP} install
mkdir -p ${RPM_BUILD_ROOT}/usr/local/man/man8
make COPTS="$RPM_OPT_FLAGS" RES= DESTMAN=${DESTMAN} \
	OWNER=${OWNER} GROUP=${GROUP} man

%files
%defattr(- root root)
%doc README_980903 RELEASE_NOTES
%doc /usr/local/man/man8/ping.8
%attr(4755, root, root)
/usr/local/bin/ping
